import abc
class Person(metaclass = abc.ABCMeta):
    @abc.abstractmethod
    def bezahle(self, betrag):
        pass

class Kunde(Person):
    def bezahle(self, betrag):
        print("Rabatt", betrag)

class Lieferant(Person):
    def bezahle(self, betrag):
        print("Rechnung bezahlt", betrag)

kunde = Kunde()
kunde.bezahle(100)
lieferant = Lieferant()
lieferant.bezahle(200)

