import xml.sax as sax

class SpeisekartenHandler(sax.handler.ContentHandler):
    def __init__(self):
        self.name = ""
        self.preis = ""
        self.text = ""
        self.aktiv = None
        self.typ = None

    def startElement(self, name, attribut):
        self.aktiv = name
        if name == "getraenk":
            # Initialisieren eines neuen Elements
            self.name = ""
            self.preis = ""
            self.text = ""
            for i in attribut.keys():
                print(i, "=", attribut[i])

    def endElement(self, name):
        if name == "getraenk":
            # Ein Element ist erfasst, Ergebnis auswerfen
            if self.name!="" or self.preis!="":
                print("Name:", self.name, " Preis:", self.preis)
            if self.text.strip()!="":
                print("Text:",self.text.strip(), end="")
            self.aktiv = None
        elif name == "name" or name == "preis":
            self.aktiv = None

    def characters(self, content):
        if self.aktiv == "name":
            self.name += content
        elif self.aktiv == "preis":
            self.preis += content
        elif self.aktiv == "getraenk":
            self.text += content

def leseDatei(dateiname):
    handler = SpeisekartenHandler()
    parser = sax.make_parser()
    parser.setContentHandler(handler)
    parser.parse(dateiname)

leseDatei("speisekarte.xml")

