import threading
import time

class Glocke(threading.Thread):
    def __init__(self, meldung, anzahl, schlaf):
        threading.Thread.__init__(self)
        self.meldung = meldung
        self.anzahl = anzahl
        self.schlaf = schlaf

    def run(self):
        i = 1
        while i < self.anzahl:
            print(self.meldung)
            time.sleep(self.schlaf)
            i += 1

threadListe = []
dingthread = Glocke("ding", 10, 0.3)
threadListe.append(dingthread)
dingthread.start()
dongthread = Glocke("    dong", 7, 0.5)
threadListe.append(dongthread)
dongthread.start()
dangthread = Glocke("        dang", 6, 0.7)
threadListe.append(dangthread)
dangthread.start()

for thread in threadListe:
    thread.join()

